package credit_balance

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/credit_balance"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /credit_balance/delete credit_balance DeleteCreditBalance
//
// Delete credit balance information | 删除CreditBalance信息
//
// Delete credit balance information | 删除CreditBalance信息
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: IDsReq
//
// Responses:
//  200: BaseMsgResp

func DeleteCreditBalanceHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.IDsReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := credit_balance.NewDeleteCreditBalanceLogic(r.Context(), svcCtx)
		resp, err := l.DeleteCreditBalance(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
